<?php

	error_reporting(E_ALL);

	ini_set('error_reporting', E_ALL);
	ini_set("display_errors", 1);

	$settings = array(
		/* 
			@nazwa:	userid
			@opis: numer identyfikacyjny partnera nadawany po zarejestrowaniu konta (dostępny po zalogowaniu).
		*/
		'userid' => '1',
		/*
			@nazwa: serviceid
			@opis: numer identyfikacyjny kanału SKS dostępny w sekcji "Kanały SMS Premium" 
		*/
		'serviceid' => '788',
		/*
			@nazwa: text
			@opis: treść wiadomości, która zostaje zainicjowana przez partnera w panelu. Pamiętaj, że błąd powoduje nierozliczenie płatności!
		*/
		'text' => 'MSMS.SUFIKS',
		/*
			@nazwa: number
			@opis: numer z gamy zainicjowanych w panelu partnera
		*/
		'number' => '17055',
		/*
			@nazwa: cost
			@opis: koszt wiadomości netto jaki poniesie klient podczas zakupu produktu.
		*/
		'cost' => '9'
		);
		
	/* 
		Weryfikujemy, czy formularz został wysłany
	*/
	if (isset($_POST['send']) && isset($_POST['code'])) {
		
		$code = addslashes($_POST['code']);
		
		/* 
			Weryfikujemy poprawność kodu
		*/
		if (preg_match("/^[A-Za-z0-9]{8}$/", $code)) {
			/*
				Łączymy się z serwerem 

			*/
			$api = @file_get_contents("https://rushpay.pl/api/v2/index.php?userid=" . $settings['userid'] . "&number=" . $settings['number'] . "&code=" . $code . '&serviceid=' . $settings['serviceid']);

			/* 
				Jeśli wystąpi problem z połączeniem, skrypt wyświetli błąd.
			*/
			if (!isset($api)) {
				$errormsg = 'Nie można nawiązać połączenia z serwerem płatności.';
			} else {
				/*
					Dekodujemy odpowiedź serwera do formatu json
				*/
				$api = json_decode($api);
			
				/* 
					Sprawdzamy czy odpowiedź na pewno jest w formacie json
				*/
				if (!is_object($api)) {
					$errormsg = 'Nie można odczytać informacji o płatności.';
				} 
				
				/*
					W przypadku błędów informujemy o tym klienta
				*/
				if (isset($api->error) && $api->error) {
					$errormsg = 'Kod błędu: ' . $api->error->errorCode . ' - ' . $api->error->message;
				} else if ($api->connect == FALSE) {
					$errormsg = 'Kod błędu: ' . $api->data->errorCode . ' - ' . $api->data->message;
				}
			}
			
			if (!isset($errormsg) && isset($api->connect) && $api->connect == TRUE) {
				/*
					Jeśli kod jest prawidłowy, wydajemy produkt
				*/
				if ($api->data->status == 1) {
					$okmsg = 'Twój kod jest prawidłowy. Dziękujemy za zakupy.';
					
					// Tutaj możesz również wykonywać inne operacje
					// Np. dodać zapytanie mysql, wysłać maila itp.
					
				} else {
					$errormsg = 'Przesłany kod jest nieprawidłowy, spróbuj ponownie.';
				}
			}

		} else {
			$errormsg = 'Przesłany kod jest nieprawidłowy, przepisz go ponownie.';
		}
	}

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
   <head>
      <meta http-equiv="content-type" content="text/html; charset=utf-8" />
      <title>Przykladowy skrypt platnosci SMS</title>
	  <link href="https://rushpay.pl/api/demo/css.css" rel="stylesheet" type="text/css">
   </head>
   <body>
	 <div id="page">
         <div class="center title">Zakup produktu - demo</div>
         <br/>
         <div class="center">
            W celu zakupu produktu proszę wysłać SMS na numer <strong><?php echo $settings['number']; ?></strong> o treści <strong><?php echo $settings['text']; ?></strong><br/>
            Koszt wysłania wiadomości <?php echo $settings['cost']; ?>zł netto (<?php echo number_format($settings['cost'] * ( 1 + 23 / 100 ), 2); ?> zł z vat).<br/><br/>
            
			<?php if(isset($okmsg)) { ?><div class="msg ok"><?php echo $okmsg; ?></div><?php } ?>
			<?php if(isset($errormsg)) { ?><div class="msg error"><?php echo $errormsg; ?></div><?php } ?>
			
            <form method="post" >
               <input type="hidden" name="send" value="" />   
               <input name="code" placeholder="Kod sms" type="text" />
               <button class="button" type="submit">Sprawdź kod</button>
            </form>
            <br/><br/>
            Płatności zapewnia firma <a href="http://rushpay.pl/">RushPay</a>. <br/>
            Korzystanie z serwisu jest jednozanczne z akceptacją <a href="http://rushpay.pl/partner/documents/">regulaminów</a>.<br/>
            Jeśli nie dostałeś kodu zwrotnego w ciągu 30 minut skorzystaj z <a href="http://rushpay.pl/customer/complaint/">formularza reklamacyjnego</a><br/><br/>
            <img src="http://rushpay.pl/public/cms/img/banner.png">
         </div>
      </div>
   </body>
</html>
